Bug 15202 - Fix date display when transferring an order
Summary: Fix date display when transferring an order
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-17 23:33 UTC by Katrin Fischer
Modified: 2017-06-14 22:05 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15202: Fix date display when transferring an order (2.32 KB, patch)
2015-11-22 01:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15202: Fix date display when transferring an order (2.50 KB, patch)
2015-11-22 17:56 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 15202: Fix date display when transferring an order (2.57 KB, patch)
2015-11-25 16:09 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-11-17 23:33:06 UTC
When transferring an order to another vendor on of the dates is shown as yyyy-mm-dd instead of being formatted according to the dateformat system preference
Comment 1 Katrin Fischer 2015-11-22 01:35:34 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-11-22 17:56:03 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-11-25 16:09:41 UTC
Created attachment 45154 [details] [review]
Bug 15202: Fix date display when transferring an order

The date a basket was created was not displayed
according to the dateformat system preference.

Also fixes wording of the message shown when there
are no baskets for a chosen vendor.

To test:
- Create an order with an order line
- Click on the "Transfer" link on the basket
  summary page
- Search for a vendor without open baskets
- Verify change of message shown:
  "There are no open baskets for this vendor."
- Choose another vendor with open baskets
- Verify the creation date of the basket is
  displayed correctly formatted.

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2015-12-11 16:27:43 UTC
Pushed to master!

Thanks Katrin!
Comment 5 Julian Maurice 2015-12-14 07:25:24 UTC
Patch pushed to 3.22.x, will be in 3.22.1
Comment 6 Frédéric Demians 2015-12-14 17:58:25 UTC
This patch has been pushed to 3.20.x, will be in 3.20.7.